checkboxGroupInput {shiny} | R Documentation

## Checkbox Group Input Control

### Description

Create a group of checkboxes that can be used to toggle multiple choices independently. The server will receive the input as a character vector of the selected values.

### Usage

    checkboxGroupInput(inputId, label, choices, selected = NULL, inline = FALSE,
      width = NULL)

### Arguments

`inputId` | The `input` slot that will be used to access the value.
`label` | Display label for the control, or `NULL` for no label.
`choices` | List of values to show checkboxes for. If elements of the list are named then that name rather than the value is displayed to the user.
`selected` | The values that should be initially selected, if any.
`inline` | If `TRUE`, render the choices inline (i.e. horizontally)
`width` | The width of the input, e.g. `'400px'`, or `'100%'`; see `validateCssUnit`.

### Value

A list of HTML elements that can be added to a UI definition.

### See Also

`checkboxInput`, `updateCheckboxGroupInput`

Other input.elements: `actionButton`, `checkboxInput`, `dateInput`, `dateRangeInput`, `fileInput`, `numericInput`, `passwordInput`, `radioButtons`, `selectInput`, `sliderInput`, `submitButton`, `textInput`

### Examples

    checkboxGroupInput("variable", "Variable:",
                       c("Cylinders" = "cyl",
                         "Transmission" = "am",
                         "Gears" = "gear"))

[Package shiny version 0.13.2 Index]